> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abs.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# eth_getFilterLogs

> Returns logs for the specified filter



## OpenAPI

````yaml /api-reference/openapi.json post /eth_getFilterLogs
openapi: 3.0.0
info:
  title: Abstract JSON-RPC API
  description: JSON-RPC API documentation for Abstract blockchain
  version: 1.0.0
servers:
  - url: https://api.mainnet.abs.xyz
    description: Abstract Mainnet
security: []
tags:
  - name: Overview
    description: Overview of the Abstract JSON-RPC API
  - name: Ethereum API
    description: Standard Ethereum JSON-RPC methods
  - name: ZKSync API
    description: ZKSync-specific JSON-RPC methods
paths:
  /eth_getFilterLogs:
    post:
      tags:
        - Ethereum API
      summary: eth_getFilterLogs
      description: Returns logs for the specified filter
      operationId: eth_getFilterLogs
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - jsonrpc
                - method
                - id
                - params
              properties:
                jsonrpc:
                  type: string
                  default: '2.0'
                  description: JSON-RPC version
                method:
                  type: string
                  default: eth_getFilterLogs
                  description: The method to call
                params:
                  type: array
                  items: {}
                  description: Filter ID
                  default:
                    - >-
                      0xb415d4b0e6ca750802be8c84c99a68170deeb9ed09c4e2eb0dc5299ab715e978
                id:
                  type: integer
                  default: 1
                  description: Request identifier
            example:
              jsonrpc: '2.0'
              id: 1
              method: eth_getFilterLogs
              params:
                - >-
                  0xb415d4b0e6ca750802be8c84c99a68170deeb9ed09c4e2eb0dc5299ab715e978
      responses:
        '200':
          description: Returns the logs for the filter
          content:
            application/json:
              schema:
                type: object
                properties:
                  jsonrpc:
                    type: string
                    example: '2.0'
                  id:
                    type: integer
                    example: 1
                  result:
                    type: array
                    description: Array of log objects
                    items:
                      type: object
                      properties:
                        address:
                          type: string
                          example: '0x8320fe7702b96808f7bbc0d4a888ed1468216cfd'
                        topics:
                          type: array
                          items:
                            type: string
                          example:
                            - >-
                              0xd78a0cb8bb633d06981248b816e7bd33c2a35a6089241d099fa519e361cab902
                        data:
                          type: string
                          example: >-
                            0x0000000000000000000000000000000000000000000000000000000000000001
                        blockNumber:
                          type: string
                          example: '0x1'
                        logIndex:
                          type: string
                          example: '0x0'
              example:
                jsonrpc: '2.0'
                id: 1
                result:
                  - address: '0x8320fe7702b96808f7bbc0d4a888ed1468216cfd'
                    topics:
                      - >-
                        0xd78a0cb8bb633d06981248b816e7bd33c2a35a6089241d099fa519e361cab902
                    data: >-
                      0x0000000000000000000000000000000000000000000000000000000000000001
                    blockNumber: '0x1'
                    logIndex: '0x0'

````